Java

本类阅读TOP10

·使用MyEclipse开发Struts框架的Hello World!(录像1)
·hibernate配置笔记
·AOP编程入门--Java篇
·linux下Tomcat 5.0.20 与 Apache 2 安装/集成/配置
·在win2003下整合了整合Tomcat5.5+ apache_2.0.53+ mod_jk_2.0.47.dll
·构建Linux下IDE环境--Eclipse篇
·Jsp 连接 mySQL、Oracle 数据库备忘(Windows平台)
·ASP、JSP、PHP 三种技术比较
·Tomcat5.5.9的安装配置
·AWT GUI 设计笔记(二)

分类导航
VC语言Delphi
VB语言ASP
PerlJava
Script数据库
其他语言游戏开发
文件格式网站制作
软件工程.NET开发
在eclipse 3 上配置jsp开发环境

作者:未知 来源:月光软件站 加入时间:2005-2-28 月光软件站

最近机器重装,想起朋友在用的eclipsepp界面,于是也想升级一下。网上找了n多的文章,不是配置不起来,就是导致eclipse不能启动。发现问题在于网上的文章在关键的地方写的很不详细,特别是软件的版本问题。因为eclipse这些工具都是开源的,所以版本更新很快,因此如果我们没有查询过文档,很有可能把不匹配的插件组合在一起,导致在eclipse不能识别。而且,有的版本的eclipse由于很新,因此根本没有插件可以匹配,因此说也不是最新的就是最好的。好了,分析完失败的原因,开始讲成功的过程吧。(本文适合那些)

首先讲一下环境配置,注意我配置的环境是在win 2000 server下的,不是linux下的,配置的大致流程和操作系统无关,仅仅是在具体的安装上有差别。而配置成功与否,与操作系统无关。

软件安装分为一下几个部分:

1、  java环境安装:

这里使用的是jdk1.4.1jdk1.4.2也可以),这个可以到sun公司的网站去下载;

2、  tomcat环境安装:

tomcat的版本是4.1的,安装版或是解压版都是可以的;

3、  eclipse 3 安装:

可以去下列地址下载http://www.eclipse.org/downloads/index.php

我下载的是 3.1M4 版本,这个版本应该是比较新的。

4、  tomcat插件安装;

tomcat插件是要到下面地址下载http://www.sysdeo.com/eclipse/tomcatPlugin.html,下载之前需要查看插件是否适合eclipse的版本,我下载的是tomcatPluginV3.zip

5、  lomboz插件安装;

lomboz插件需要下载两个部分,一个是emf环境,另一个是lomboz插件,分别到下列地方去找

http://forge.objectweb.org/project/showfiles.php?group_id=97

http://download.eclipse.org/tools/emf/scripts/downloads.php#goto2.1.0I

我下载的是emf-sdo-runtime-I200412160800.zip

org.objectweb.lomboz_3.1.0.N20050106.zip

这里主要是根据eclipse选择适当的lomboz插件,然后查看一下lomboz插件的  介绍,那里会介绍需要的emf插件的版本,然后再去下面的地址找emf插件。

好了,该下载的都有了,下面我介绍一下如何安装和配置。

 

一、    java环境安装

这个只要直接安装就可以了,不过最好能安装在系统盘以外的地方,这样可以更好理解jvm的配置;安装好了以后,需要配置环境变量,新建JAVA_HOME,并且配置path,把jdkbin目录添加进去,这样就可以在命令行的任何路径使用jdk的命令了。

[测试] :编写一个hello world程序,然后在dos下使用javac hello.javajava hello命令,如果可以正常执行,就证明jdk安装成功了。

 

二、    tomcat安装

解压版的直接解压就可以了,然后配置TOMCAT_HOME,安装版的要注意的两点,一个是安装完之后tomcat的服务就能够启动的了,但是还是要配置TOMCAT_HOME;第二个就是需要查看一下安装程序是不是把tomcat服务注册成为windows的启动服务,需要到“服务”里查看,如果有这个选项就把它设置为手动启动,并且先停止这个服务。

[测试]:使用startup.bat命令,服务正常启动之后,ie浏览器里输入

http://localhost:8080/  如果出现正常的小猫页面,那就应该没有问题了。

 

三、    eclipse 3安装

eclipse的安装倒是很简单,只要解压,然后把eclipse目录复制到盘符下就可以了,启动的时候,系统会自动寻找jvm,当然可以再以后配置,但是好像是必须先安装jdk

 

四、    tomcat插件安装,emf插件安装,lomboz插件安装,

       这几部分的步骤都是一样的,解压软件包,然后根据里面的目录结构,把目录文件分别复制到featureplugins目录里,这样就行了,下面将详细讲述一下eclipse的配置。

        

五、    配置eclipse

1、  首先,打开配置界面 window->preferences。如果这几个插件安装成功,左边的列表里应该有lomboztomcat的选项。如果没有,检查上面的步骤是不是正确。

       点击java->Installed JREs,然后显示如上,如果是初始安装的,只有显示第一个jre(不要问我什么是jre,自己查资料去),那是系统默认的安装在c盘的jre,如果系统当中安装了多个jdk,那么最好还是新建一个,点击add,然后选择你需要使用的jdk的位置,然后它会自动寻找其他的参数,点击ok。返回界面之后,不要忘记点选刚刚添加的jdk,要不然是没有用的。然后点击ok关闭这个窗口。

2、  再次打开配置界面,点击tomcat选项

       这里是配置tomcat的参数,根据你安装的tomcat的版本,选择tomcat version,然户找到该tomcat的主目录,输入在tomcat home,下面的参数会自动配置,点击apply 然后在左边选择advanced,同样把tomcat的主目录复制在tomcat base,点击apply

       最后在左边选择jvm setting,选择刚刚加入的jre,点击apply,点击ok。这样就可以了。回到界面,点击工具栏上的黄色小猫的图标,如果配置正确,在console里应该有启动tomcat的信息。如果有,就代表tomcat配置成功了。

1、  lomboz基本上不用什么配置,如果左边有那个lomboz选项,基本上就是成功了。点击lomboz,然后选择刚才配置的jdk里的tools.jar,这样配置就完成了。测试的方法是新建一个jsp文件,看看打开的时候是不是对script代码有特殊显示,并且建个测试类,看看jsp是不是能够自动引用类里的函数。

 

       好了,以上就是我配置成功的步骤,因为对应版本的软件都是可以找到的,所以配置起来应该没有什么问题,有问题的话问我估计也没用,上网查文档是最好的方法,祝大家顺利。

程筱彬2005130

 




相关文章

相关软件